//-----------------------MIXINS-FOR-HANDLING-THE-GRID-MIXIN-FILE------------------------------//

//VARIABLES
/**********/

//Definition of the number of items by size
// $max-column: $grid-columns;
// $gd-size: $grid-sizes;
// @each $size in $gd-size {
//   @for $i from 1 through $max-column {
//     @at-root {
//       @if $size = "s" {
//         @include target-mq("zero", "small") {
//           .gd-#{to-lower-case($size)}-#{$i} {
//             grid-template-columns: repeat($i, 1fr);
//           }
//         }
//       }

//       @else if $size = "m" {
//         @include target-mq("small", "medium") {
//           .gd-#{to-lower-case($size)}-#{$i} {
//             grid-template-columns: repeat($i, 1fr);
//           }
//         }
//       }

//       @else {
//         .gd-#{to-lower-case($size)}-#{$i} {
//           grid-template-columns: repeat($i, 1fr);
//         }  
//       }
//     }
//   }
// }